Bug 349211 - Anaconda hangs when trying to install F8T3/x86_64 on VMWare server 1.0.4
Anaconda hangs when trying to install F8T3/x86_64 on VMWare server 1.0.4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 14:24 EDT by Gilboa Davara
Modified: 2008-06-04 08:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: f9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 08:46:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda console log (1.04 KB, text/plain)
2007-10-23 14:24 EDT, Gilboa Davara
no flags Details
Kernel log (15.08 KB, text/plain)
2007-10-23 14:25 EDT, Gilboa Davara
no flags Details

  None (edit)
Description Gilboa Davara 2007-10-23 14:24:29 EDT
Description of problem:
I'm trying to install F8T3/x86_64 on a 64bit VM under VMWare Server 1.0.4.
AFAICS the installation was pretty-much-strait forward.
However, when anaconda was trying to install the last packages, it hanged for hours.

Switching back to the text consoles doesn't really shows anything
critical (beyond a single syntax warning in Anaconda - see attached)
I'm keeping the VM image suspend, so please, if you require additional
information please let me ASAP.

Host configuration:
Fedoa 7, x86_64, 2.6.22.9-91.fc7.
2 x Opteron 275.
4GB RPM.
3 x 250GB SATA.
nVidia GF6800GT, nVidia binary drivers.

Guest configuration:
2 virtual CPUs.
10GB disk space.
512MB RAM.
2 bridged network devices.
2 host-only network devices.
USB support.
Sound support.
Comment 1 Gilboa Davara 2007-10-23 14:24:29 EDT
Created attachment 235331 [details]
Anaconda console log
Comment 2 Gilboa Davara 2007-10-23 14:25:09 EDT
Created attachment 235341 [details]
Kernel log
Comment 3 Chris Lumens 2007-10-23 16:05:56 EDT
Looks like a python problem judging from the console log file.
Comment 4 James Antill 2007-10-23 16:57:28 EDT
 Chris, if there was a double free problem in the python GC I'm pretty sure I'd
be flooded with bugs ... much more likely is that anaconda is calling some C
code that is doing the double free. Can you get glibc to print a
backtrace/core-dump like it normally does (post install) on double free?
Comment 5 Gilboa Davara 2007-10-23 20:40:32 EDT
Even after I hard-wired /usr/bin/ls to /bin/ls and /usr/bin/sed to /bin/sed
(without it pstack aborted on an error) - pstack anaconda_pid returns nothing.

Beyond crashing anaconda by sending a kill -SEGV, any idea how I can yank the
call stack?

- Gilboa 
Comment 6 James Antill 2007-10-23 23:50:50 EDT
 Doing a kill -ABRT is probably the easiest, assuming nothing turns coredumps
off with resource limits ... chris what is the usual way to debug this easily?
Comment 7 Gilboa Davara 2007-10-24 02:20:00 EDT
kill -ABRT doesn't return anything - anaconda just dies with no crash dump.
Reverting to last bad-known snapshot.

- Gilboa
Comment 8 Andy Lindeberg 2008-06-03 16:16:06 EDT
Have you encountered this problem in Fedora 9?
Comment 9 Gilboa Davara 2008-06-04 05:12:31 EDT
F9 installed cleanly.
Bug can be closed.

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.